您尚未登录。

#1 2017-12-24 20:44:47

wakengren
会员
注册时间: 2017-09-30
帖子: 8

tcp-wrapper无法下载??

变电站网络安全提了/etc/hosts.allow和/etc/hosts.deny的设置要求,查看已安装的archlinux系统,没有此文件,对用的数据库也没有。
网上查了资料应该是需要安装tcp-wrapper,但下载的时候pacman -S tcp-wrappers 总是报错,网络连接没有问题。
是archlinux不支持tcp-wrapper还是有类似别的软件,或者是我的方法不对?求大神指点

warning: config file /etc/pacman.d/mirrorlist,line 13:directive 'Score:6.4,China' in section'core' not recognized.
warning: config file /etc/pacman.d/mirrorlist,line 13:directive 'Score:6.4,China' in section'extra' not recognized.
warning: config file /etc/pacman.d/mirrorlist,line 13:directive 'Score:6.4,China' in section'community' not recognized.
resolving dependencies...
looking for conflicting packages...

Packages(2) libwrap-7.6.24-3 tcp-wrappers-7.6.24-3

Total Download Size: 0.07 MiB
Total Installed Size: 0.24 MiB
安装报错
error:failed retrieving file  'libwrap-7.6.24-3-i686.pkg.tar.xz' from mirrirs.163.com : The requested URL retured error: 404
另外一个包报一样的错
error:failed to commit transaction (unexpected error)

离线

#2 2017-12-24 21:41:59

依云
a.k.a. 百合仙子
所在地: 一个等待妹纸出现的地方
注册时间: 2011-08-21
帖子: 4,859
个人网站

Re: tcp-wrapper无法下载??

这东西 Arch 早不用了啊。你改用 iptables 吧。

离线

#3 2017-12-25 09:51:58

wakengren
会员
注册时间: 2017-09-30
帖子: 8

Re: tcp-wrapper无法下载??

检测机构提的要求就是对远程登录地址进行限制(/etc/hosts.allow和/etc/hosts.deny), iptables 有同样的功能吗?

依云 说:

这东西 Arch 早不用了啊。你改用 iptables 吧。

离线

页脚